- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

# OgreUnifiedHighLevelGpuProgram.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreHighLevelGpuProgram.h"`
`#include "OgreHighLevelGpuProgramManager.h"`

Go to the source code of this file.

## Namespaces
namespace | Ogre
## Classes
class | Ogre::UnifiedHighLevelGpuProgram
| Specialisation of HighLevelGpuProgram which just delegates its implementation to one other high level program, allowing a single program definition to represent one supported program from a number of options. More...
class | Ogre::UnifiedHighLevelGpuProgram::CmdDelegate
| Command object for setting delegate (can set more than once). More...
class | Ogre::UnifiedHighLevelGpuProgramFactory
| Factory class for Unified programs. More...

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:48:59 2008